# InquiryPriceModifyCrossRegionBandwidth

## 1. API Description

This API (InquiryPriceModifyCrossRegionBandwidth) is used to query the price of changing the cross-region bandwidth configuration.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">When the network billing model is</mark> <mark style="color:blue;">`ByInstanceBandwidth95`</mark><mark style="color:blue;">, modifying the burst bandwidth does not involve a billing change.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type    | Description                                      |
| ---------------------- | -------- | ------- | ------------------------------------------------ |
| crossRegionBandwidthId | Yes      | String  | Cross-region bandwidth ID.                       |
| bandwidth              | Yes      | Integer | <p>Bandwidth cap.</p><p>Value range: \[1, +)</p> |

## 3. Output Parameters

| Parameter Name            | Type                                                                                         | Description                                                                                                           |
| ------------------------- | -------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId                 | String                                                                                       | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| crossRegionBandwidthPrice | [PriceItem](https://docs.console.zenlayer.com/api-reference/compute/datastructure#priceitem) | The price of cross-region bandwidth.                                                                                  |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the price of changing the bandwidth cap of cross-region bandwidth into 500Mbps. The network billing model is `ByBandwidth`.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidth": 500
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "crossRegionBandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

**2. Query the price of changing the bandwidth commitment of cross-region bandwidth into 500 Mbps. The network billing model is `ByInstanceBandwidth95`.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidth": 500
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "crossRegionBandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                          | Description                            |
| ---------------- | ----------------------------------- | -------------------------------------- |
| 404              | INVALID\_VPC\_BANDWIDTH\_NOT\_FOUND | Cross-region bandwidth does not exist. |
